## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# AttributeVectorEntryExtended Class Reference

Inheritance diagram for AttributeVectorEntryExtended:

[legend]
Collaboration diagram for AttributeVectorEntryExtended:

[legend]
List of all members.

## Public Member Functions

- AttributeVectorEntryExtended (const XMLChVectorType &theName, const XMLChVectorType &theValue, const XMLChVectorType &theType, const XMLChVectorType &theURI, const XMLChVectorType &theLocalName, MemoryManagerType &theManager)
- AttributeVectorEntryExtended (const XMLCh *theName, const XMLCh *theValue, const XMLCh *theType, const XMLCh *theURI, const XMLCh *theLocalName, MemoryManagerType &theManager)
- AttributeVectorEntryExtended (const XMLCh *theName, const XMLCh *theValue, const XMLCh *theType, MemoryManagerType &theManager)
- AttributeVectorEntryExtended (MemoryManagerType &theManager)
- virtual ~AttributeVectorEntryExtended ()
- void clear ()

## Static Public Member Functions

- AttributeVectorEntryExtended * create (const XMLCh *theName, const XMLCh *theValue, const XMLCh *theType, const XMLCh *theURI, const XMLCh *theLocalName, MemoryManagerType &theManager)

## Public Attributes

- XMLChVectorType m_uri
- XMLChVectorType m_localName

## Constructor & Destructor Documentation

AttributeVectorEntryExtended::AttributeVectorEntryExtended | ( | const XMLChVectorType & | theName,
|  | const XMLChVectorType & | theValue,
|  | const XMLChVectorType & | theType,
|  | const XMLChVectorType & | theURI,
|  | const XMLChVectorType & | theLocalName,
|  | MemoryManagerType & | theManager
| ) |

AttributeVectorEntryExtended::AttributeVectorEntryExtended | ( | const XMLCh * | theName,
|  | const XMLCh * | theValue,
|  | const XMLCh * | theType,
|  | const XMLCh * | theURI,
|  | const XMLCh * | theLocalName,
|  | MemoryManagerType & | theManager
| ) |

AttributeVectorEntryExtended::AttributeVectorEntryExtended | ( | const XMLCh * | theName,
|  | const XMLCh * | theValue,
|  | const XMLCh * | theType,
|  | MemoryManagerType & | theManager
| ) |

AttributeVectorEntryExtended::AttributeVectorEntryExtended | ( | MemoryManagerType & | theManager | ) |

virtual AttributeVectorEntryExtended::~AttributeVectorEntryExtended | ( |  | ) | `[virtual]`

## Member Function Documentation

void AttributeVectorEntryExtended::clear | ( |  | ) |

| Reimplemented from AttributeVectorEntry.

AttributeVectorEntryExtended* AttributeVectorEntryExtended::create | ( | const XMLCh * | theName,
|  | const XMLCh * | theValue,
|  | const XMLCh * | theType,
|  | const XMLCh * | theURI,
|  | const XMLCh * | theLocalName,
|  | MemoryManagerType & | theManager
| ) | `[static]`

## Member Data Documentation

XMLChVectorType AttributeVectorEntryExtended::m_localName

XMLChVectorType AttributeVectorEntryExtended::m_uri

The documentation for this class was generated from the following file:

- AttributeVectorEntryExtended.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.